Bug 1815500 - [4.4] Namespaces stuck in Terminating with volumesnapshot resources that can't be deleted
Summary: [4.4] Namespaces stuck in Terminating with volumesnapshot resources that can'...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Christian Huffman
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On: 1808123
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-20 12:51 UTC by Christian Huffman
Modified: 2020-05-04 11:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1808123
Environment:
Last Closed: 2020-05-04 11:47:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift csi-external-snapshotter pull 18 None closed Bug 1815500: UPSTREAM 275: Allows VolumeSnapshot to be deleted if the class isn't found 2020-09-25 07:27:54 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:47:24 UTC

Comment 1 Christian Huffman 2020-03-20 12:59:38 UTC
https://github.com/openshift/csi-external-snapshotter/pull/18 has been submitted to cherrypick this fix into 4.4.

Comment 4 Chao Yang 2020-04-01 06:45:25 UTC
Passed on 4.4.0-0.nightly-2020-03-31-053841
openshift-tests run openshift/conformance/parallel --dry-run | grep Feature:VolumeSnapshotDataSource > tests
openshift-tests run openshift/conformance/parallel -f tests

Comment 6 errata-xmlrpc 2020-05-04 11:47:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.